### Method

# Foundry TextDocument list_code_actions

#### Declaration [src]

    DexFuture*
    foundry_text_document_list_code_actions (
      FoundryTextDocument* self
    )

#### Description [src]

Queries `FoundryTextDocumentAddin` for actions that are relevant to the document based on the current diagnostics.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryCodeAction`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.